GlyphTable.GlyphSequenceRule (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.complexscripts.fonts

## Class GlyphTable.GlyphSequenceRule

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphTable.Rule
  - - org.apache.fop.complexscripts.fonts.GlyphTable.GlyphSequenceRule

- Direct Known Subclasses:
    GlyphTable.ChainedGlyphSequenceRule
  Enclosing class:
    GlyphTable

      public static class GlyphTable.GlyphSequenceRule
      extends GlyphTable.Rule

  The `GlyphSequenceRule` class implements a subclass of `Rule` that supports matching on a specific glyph sequence.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlyphSequenceRule(GlyphTable.RuleLookup[] lookups, int inputSequenceLength, int[] glyphs)` Instantiate a GlyphSequenceRule.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getGlyphs()` Obtain glyphs.
    `int[]` | `getGlyphs(int firstGlyph)` Obtain glyphs augmented by specified first glyph entry.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphTable.Rule

      `getInputSequenceLength, getLookups, resolveLookupReferences`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GlyphSequenceRule

          public GlyphSequenceRule(GlyphTable.RuleLookup[] lookups,
                                   int inputSequenceLength,
                                   int[] glyphs)

      Instantiate a GlyphSequenceRule.
      Parameters:
        `lookups` - the rule's lookups
        `inputSequenceLength` - number of glyphs constituting input sequence (to be consumed)
        `glyphs` - the rule's glyph sequence to match, starting with second glyph in sequence

  - ### Method Detail

    - #### getGlyphs

          public int[] getGlyphs()

      Obtain glyphs. N.B. that this array starts with the second glyph of the input sequence.
      Returns:
        the glyphs

    - #### getGlyphs

          public int[] getGlyphs(int firstGlyph)

      Obtain glyphs augmented by specified first glyph entry.
      Parameters:
        `firstGlyph` - to fill in first glyph entry
      Returns:
        the glyphs augmented by first glyph

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `GlyphTable.Rule`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.